
/* 
* Copyright 2014 Amazon.com,
* Inc. or its affiliates. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the
* "License"). You may not use this file except in compliance
* with the License. A copy of the License is located at
*
* http://aws.amazon.com/apache2.0/
*
* or in the "license" file accompanying this file. This file is
* distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
* CONDITIONS OF ANY KIND, either express or implied. See the
* License for the specific language governing permissions and
* limitations under the License.
*/


namespace com.amazon.whisperplay.fling.cpt.media.service
{
    public abstract partial class AmazonFlingPlayerServiceImpl
    {
        private class AmazonFlingPlayerServiceDefault : AmazonFlingPlayerServiceBase
        {
            protected override void Init() {}
            protected override void RegisterCallback() {}
            protected override void RegisterEventListener() {}
            protected override void RegisterCrossPlatformTool() {}
            protected override string NativeStartServiceJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateVolumeJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateMuteJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdatePositionJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateDurationJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateMediaStateJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateMediaConditionJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeAddSupportedMimeTypeJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeUpdateMediaPlayerInfoJson(string jsonMessage)
            {
                return "{}";
            }
        }
    }
}
