﻿using UnityEditor;

class BuildScript {

	static void BuildAndroid ()
	{
		string[] scenes = { "Assets/fling.unity" };
		BuildPipeline.BuildPlayer(scenes, "../../../../build/AmazonFlingUnityTestApps/FlingUnityAndroidControllerSample.apk", BuildTarget.Android, BuildOptions.None);
	}

	static void BuildFireOS ()
	{
		string[] scenes = { "Assets/fling.unity" };
		BuildPipeline.BuildPlayer(scenes, "../../../../build/AmazonFlingUnityTestApps/FlingUnityFireOSControllerSample.apk", BuildTarget.Android, BuildOptions.None);
	}
	
	static void BuildControllerForPlayer ()
	{
		string[] scenes = { "Assets/fling.unity" };
		BuildPipeline.BuildPlayer(scenes, "../../../../build/AmazonFlingUnityTestApps/FireOSControllerForUnityPlayerSample.apk", BuildTarget.Android, BuildOptions.None);
	}
	
	static void BuildIOS ()
	{
		string[] scenes = { "Assets/fling.unity" };
		BuildPipeline.BuildPlayer(scenes, "XCodeProject", BuildTarget.iOS, BuildOptions.None);
	}
}
