
/* 
* Copyright 2014 Amazon.com,
* Inc. or its affiliates. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the
* "License"). You may not use this file except in compliance
* with the License. A copy of the License is located at
*
* http://aws.amazon.com/apache2.0/
*
* or in the "license" file accompanying this file. This file is
* distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
* CONDITIONS OF ANY KIND, either express or implied. See the
* License for the specific language governing permissions and
* limitations under the License.
*/


namespace com.amazon.whisperplay.fling.cpt.media.controller
{
    public abstract partial class AmazonFlingServiceImpl
    {
        private class AmazonFlingServiceDefault : AmazonFlingServiceBase
        {
            protected override void Init() {}
            protected override void RegisterCallback() {}
            protected override void RegisterEventListener() {}
            protected override void RegisterCrossPlatformTool() {}
            protected override string NativeStartDiscoveryJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeStopDiscoveryJson(string jsonMessage)
            {
                return "{}";
            }
            protected override string NativeGetVolumeJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSetVolumeJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeIsMuteJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSetMuteJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeGetPositionJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeGetDurationJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeGetStatusJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeIsMimeTypeSupportedJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativePauseJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativePlayJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeStopJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSeekJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSetMediaSourceJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSetPlayerStyleJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeAddStatusListenerJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeRemoveStatusListenerJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSetPositionUpdateIntervalJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeSendCommandJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
            protected override string NativeGetMediaInfoJson(string jsonMessage, string callerId)
            {
                return "{}";
            }
        }
    }
}
